PETSc version 3.15.5
Fix/Edit manual page

# ISBlockGetLocalSize

Returns the local number of blocks in the index set.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISBlockGetLocalSize(IS is,PetscInt *size)

Not Collective

### Input Parameter

| is | - the index set

### Output Parameter

| size | - the local number of blocks

### See Also

ISGetBlockSize(), ISBlockGetSize(), ISGetSize(), ISCreateBlock(), ISBLOCK

### Level

intermediate

### Location

src/vec/is/is/impls/block/block.c

### Examples

src/vec/is/is/tutorials/ex3.c.html
src/vec/is/is/tutorials/ex3f90.F90.html

### Implementations

ISBlockGetLocalSize_Block in src/vec/is/is/impls/block/block.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages